Replaces the collection’s entire source set. The response meta reports which sources were added, retained, and removed.
PUT
/
ai
/
collections
/
{uuid}
/
sources
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.collections.sources.replace('uuid', {
sources: [],
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.collections.sources.replace(
uuid="uuid",
sources=[],
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Collections.Sources.Replace(
context.TODO(),
"uuid",
telnyx.AICollectionSourceReplaceParams{
Sources: "sources",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.collections.sources.SourceReplaceParams;
import java.util.List;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
SourceReplaceParams params = SourceReplaceParams.builder()
.sources(List.of())
.build();
var response = client.ai().collections().sources().replace("uuid", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.collections.sources.replace("uuid", sources: [])
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->collections->sources->replace(
'uuid',
sources: [],
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:collections:sources replace \
--api-key 'My API Key' \
--uuid 6a09ccbd-8f9b-4c3a-9b0e-2f1d3c4b5a6e \
--sources sourcescurl --request PUT \
--url https://api.telnyx.com/v2/ai/collections/{uuid}/sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sources": [
{
"source_type": "voice",
"bucket_id": "policy-docs"
}
]
}
'{
"data": [
{
"id": "source_8vkvtcksnawvbnxq48yv2l06wx",
"record_type": "ai_collection_source",
"collection_id": "6a09ccbd-8f9b-4c3a-9b0e-2f1d3c4b5a6e",
"source_type": "voice",
"bucket_id": "policy-docs",
"status": "ready"
}
],
"meta": {
"added": [
"<string>"
],
"retained": [
"<string>"
],
"removed": [
"<string>"
]
}
}{
"errors": [
{
"code": "10015",
"title": "Bad Request",
"detail": "The request failed because it was not well-formed.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
}
}
]
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "The required authentication headers were either invalid or not included in the request.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "collection_not_found",
"title": "Collection not found",
"detail": "No collection with uuid 'b3b1c8a2-9f4e-4d2a-9c1e-2f7a6d5b4c3a' exists for this account."
}
]
}{
"errors": [
{
"code": "collection_slug_taken",
"title": "Collection slug already in use",
"detail": "A collection with slug 'support-transcripts' already exists for this account.",
"meta": {
"pointer": "/slug"
}
}
]
}{
"errors": [
{
"code": "invalid_source_configuration",
"title": "Invalid source configuration",
"detail": "The bucket_id field is required when source_type is bucket.",
"meta": {
"pointer": "/bucket_id"
}
}
]
}Authorizations
Telnyx API key. Collections and results are automatically scoped to the authenticated user's organization.
Path Parameters
The collection's unique identifier.
Example:
"6a09ccbd-8f9b-4c3a-9b0e-2f1d3c4b5a6e"
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.collections.sources.replace('uuid', {
sources: [],
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.collections.sources.replace(
uuid="uuid",
sources=[],
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Collections.Sources.Replace(
context.TODO(),
"uuid",
telnyx.AICollectionSourceReplaceParams{
Sources: "sources",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.collections.sources.SourceReplaceParams;
import java.util.List;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
SourceReplaceParams params = SourceReplaceParams.builder()
.sources(List.of())
.build();
var response = client.ai().collections().sources().replace("uuid", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.collections.sources.replace("uuid", sources: [])
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->collections->sources->replace(
'uuid',
sources: [],
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:collections:sources replace \
--api-key 'My API Key' \
--uuid 6a09ccbd-8f9b-4c3a-9b0e-2f1d3c4b5a6e \
--sources sourcescurl --request PUT \
--url https://api.telnyx.com/v2/ai/collections/{uuid}/sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sources": [
{
"source_type": "voice",
"bucket_id": "policy-docs"
}
]
}
'{
"data": [
{
"id": "source_8vkvtcksnawvbnxq48yv2l06wx",
"record_type": "ai_collection_source",
"collection_id": "6a09ccbd-8f9b-4c3a-9b0e-2f1d3c4b5a6e",
"source_type": "voice",
"bucket_id": "policy-docs",
"status": "ready"
}
],
"meta": {
"added": [
"<string>"
],
"retained": [
"<string>"
],
"removed": [
"<string>"
]
}
}{
"errors": [
{
"code": "10015",
"title": "Bad Request",
"detail": "The request failed because it was not well-formed.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
}
}
]
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "The required authentication headers were either invalid or not included in the request.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "collection_not_found",
"title": "Collection not found",
"detail": "No collection with uuid 'b3b1c8a2-9f4e-4d2a-9c1e-2f7a6d5b4c3a' exists for this account."
}
]
}{
"errors": [
{
"code": "collection_slug_taken",
"title": "Collection slug already in use",
"detail": "A collection with slug 'support-transcripts' already exists for this account.",
"meta": {
"pointer": "/slug"
}
}
]
}{
"errors": [
{
"code": "invalid_source_configuration",
"title": "Invalid source configuration",
"detail": "The bucket_id field is required when source_type is bucket.",
"meta": {
"pointer": "/bucket_id"
}
}
]
}